Bug 4439 (int-114375)

Summary: No way to remove/configure a Desktop Widget
Product: [Maemo Official Platform] Desktop platform Reporter: Murray Cumming <murrayc>
Component: HomeAssignee: unassigned <nobody>
Status: CLOSED FIXED QA Contact: home-bugs
Severity: normal    
Priority: Low CC: andre_klapper, jpetersen, maemo, murrayc
Version: 5.0-beta   
Target Milestone: 5.0-beta2   
Hardware: All   
OS: Linux   
Attachments: maemo5beta_no_add_widget.png

Description Murray Cumming (reporter) 2009-05-01 10:35:17 UTC
In the Maemo 5 Beta SDK, when I click on "Desktop Menu" I see no button that
lets me add a desktop widget (AKA home widget, applet or plugin). I am quite
sure that I saw a button for that in internal versions of the Beta SDK before
it was released. I forget what it was called. It is not a feature that was
intentionally cut from the Beta SDK by Openismus. 

Without this, people have to edit the config files manually.
Comment 1 Murray Cumming (reporter) 2009-05-01 10:36:08 UTC
Created an attachment (id=1189) [details]
maemo5beta_no_add_widget.png

A screenshot to show what I mean.
Comment 2 Murray Cumming (reporter) 2009-05-01 10:45:47 UTC
There's also no way (The X at the top-right of the widget) to remove a desktop
widget, though you can drag them around.

I'm starting to think that something is very wrong with my target, maybe
because the installation script replaced an existing target of the same name
(after asking me). Could someone confirm that they see what I see?
Comment 3 Lucas Maneos 2009-05-02 18:05:36 UTC
I see the same here (fresh installation to custom path on amd64).
Comment 4 Andre Klapper maemo.org 2009-05-04 16:53:09 UTC
Jan Arne commented in the internal ticket:
"I think it works like expected. When there is no widget available that button
is not displayed. --> wontfix"
Comment 5 Murray Cumming (reporter) 2009-05-04 17:20:47 UTC
No, in this case I have installed a widget - this example one that I am working
on:
https://garage.maemo.org/svn/maemoexamples/branches/fremantle-standalone-examples/example_desktop_widget/

Maybe there's something wrong with how my build files install it? I am
admittedly not seeing any such "Add Widget" button in my secret internal
version of the SDK either. CCing Jan Arne here, because he has tried earlier
versions of this example before.


And there's definitely no "settings" tool button, and no X button to remove the
desktop widget. I know what to expect because I _am_ seeing those in my secret
internal version of the SDK.
Comment 6 Jan Arne Petersen 2009-05-04 17:31:04 UTC
(In reply to comment #5)
> No, in this case I have installed a widget - this example one that I am working
> on:
> https://garage.maemo.org/svn/maemoexamples/branches/fremantle-standalone-examples/example_desktop_widget/

Yes but that widget is already selected (at least it is visible on the
Desktop). Or is there another unselected widget installed?

> Maybe there's something wrong with how my build files install it? I am
> admittedly not seeing any such "Add Widget" button in my secret internal
> version of the SDK either. CCing Jan Arne here, because he has tried earlier
> versions of this example before.

"Add widget" is only visible when there are still unselected widgets available.

> And there's definitely no "settings" tool button, and no X button to remove the
> desktop widget. I know what to expect because I _am_ seeing those in my secret
> internal version of the SDK.

That seems to be a problem only with the beta SDK.
Comment 7 Murray Cumming (reporter) 2009-05-04 17:49:05 UTC
(In reply to comment #6)
> (In reply to comment #5)
> > No, in this case I have installed a widget - this example one that I am working
> > on:
> > https://garage.maemo.org/svn/maemoexamples/branches/fremantle-standalone-examples/example_desktop_widget/
> 
> Yes but that widget is already selected (at least it is visible on the
> Desktop). 

Oh, yes, thanks you are right. I do see the "Add Widget" button in the Beta SDK
if I remove the widget by editing ~/.config/hildon-desktop/home.plugins.
I didn't know that the UI restricted us to one instance of each desktop widget
per desktop.

In case you are wondering how I ever added the widget without seeing that "Add
widget" button:
https://bugs.maemo.org/show_bug.cgi?id=4338

> > And there's definitely no "settings" tool button, and no X button to remove the
> > desktop widget. I know what to expect because I _am_ seeing those in my secret
> > internal version of the SDK.
> 
> That seems to be a problem only with the beta SDK.

Retitling accordingly.
Comment 8 Andre Klapper maemo.org 2009-05-07 14:31:15 UTC
Forwarding internal comment:

"Updated hildon-themes-devel package in the public SDK repository. I checked
that the X button appears. Please verify."
Comment 9 Murray Cumming (reporter) 2009-05-11 16:02:45 UTC
Yes, that's fixed now by doing an apt upgrade in the Beta SDK. Thanks very much
to whoever fixed it.
Comment 10 Andre Klapper maemo.org 2009-05-11 16:05:45 UTC
Thanks for verifying.
Comment 11 Andre Klapper maemo.org 2009-07-14 13:44:48 UTC
Fix should be included in Fremantle SDK beta 2 hence updating Target Milestone.